package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesEffectAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesEffectEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesEffect;
import com.bonus.canteen.core.menu.vo.MenuDishesEffectPageVO;

public interface MenuDishesEffectService extends IService<MenuDishesEffect> {
   void addMenuDishesEffect(MenuDishesEffectAddDTO content);

   Page<MenuDishesEffectPageVO> getMenuDishesEffectPage(String content);

   void editMenuDishesEffect(MenuDishesEffectEditDTO content);

   void removeByEffectId(Long effectId);
}
